locked
Dr Watson Requirement for App-V on Vista RRS feed

  • Question

  • I've noticed that the App-V client installer installs an updated version of Dr. Watson on Vista computers. I have a problem with this since Vista has a completely new error reporting system that replaces Dr. Watson.

     

    http://support.microsoft.com/kb/951018

     

    From what I can tell (through Internet posts), when you install Dr. Watson on a Vista machine it becomes the default debugger for the machine. To me this might not be desireable behavior but can anyone chime in on this? To me it would seem Dr. Watson 2.0 shouldn't be a requirement on Vista but it is part of the App-V dependency list. Am I reading this wrong?

    Thursday, December 4, 2008 5:13 PM
    Answerer

All replies

  • Kevin,

     

    That's interesting observation! But I think that if you have real debugger (like windbg, VS etc.) installed on the machine, just installing Watson shouldn't replace those (and maybe it actually doesn't even with built-in error reporting in case of what's installed by App-V client, as I'd imagine Microsoft has tested this very carefully)?

     

    /Kalle

    • Proposed as answer by znack Friday, August 7, 2009 9:03 AM
    • Unproposed as answer by Aaron.ParkerModerator Sunday, November 18, 2012 5:22 PM
    Tuesday, December 9, 2008 8:40 PM
    Moderator